Autor Zpráva
Joker
Profil
Nemáte někdo představu, jak často jsou na webu používané starší verze MySQL? Respektive jak moc se ve skriptech starat o podporu těch starších verzí a do jaké míry oželet funkce novějších verzí?
Co myslíte?
WanTo
Profil
Co považuješ za starší verzi? :)

Já jsem třeba ještě donedávna používal MySQL 4. Na pětku mě donutil až přechod na PHP 5.
Joker
Profil
No za starší verzi považuju starší, než je ta aktuální :-)

Teď je 5, tak starší jsou hlavně 4.1, 4.0 a 3.x

Například by se mi hodil dotaz
INSERT INTO ... ON DUPLICATE KEY UPDATE ...

který ale funguje až od MySQL 4.1. Ale vpodstatě každé zvýšení hlavní a vedlejší verze přineslo nějaké nové vlastnosti, tak by mě právě zajímalo, nakolik se při jejich použití starat o kompatibilitu.
Je ještě dneska potřeba se zabývat fungováním skriptu na MySQL 3.23? Stojí za to v zájmu kompatibility obcházet třeba funkce dostupné od verze 4.1?
Anebo si nakonec můžu říct, že samotná MySQL AB už nepodporuje verze před MySQL 5 a vykašlat se na ně?


Co já jsem tak projel na Google pár tuzemských webhostingů, obvykle mají MySQL 5 nebo 4.1
Toto téma je uzamčeno. Odpověď nelze zaslat.